package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SPARE_PART_DETAIL")
@Api("MES_备件明细")
public class MesSparePartDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1229825292839375978L;
    @Column(name = "SP_NO")
    @ApiParam("备件编号")
    private String spNo;

    @Column(name = "SP_CODE")
    @ApiParam("备件代码")
    private String spCode;

    @Column(name = "SP_NAME")
    @ApiParam("备件名称")
    private String spName;

    @Column(name = "ZONE_NO")
    @ApiParam("存储区代码")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam("库位编号")
    private String locateNo;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Integer qty;

    @Column(name="RECEIVE_DATE")
    @ApiParam(value ="接收日期")
    private Date receiveDate;

    @Column(name="ENABLE_DATE")
    @ApiParam(value ="启用日期")
    private Date enableDate;
}
